Subject: Re: rawip: delayed and mis-sequenced transmits

From: Jakub Kicinski <[email-masked]>
Date: Wed, 6 Jul 2022 18:54:17 -0700

On Wed, 6 Jul 2022 15:54:18 +0000 David Laight wrote:
> Anyone any ideas before I start digging through the kernel code?

If the qdisc is pfifo_fast and kernel is old there could be races.
But I don't think that's likely given you probably run something
recent and next packet tx would usually flush the stuck packet.
In any case - switching qdisc could be a useful test, also bpftrace 
is your friend for catching patckets with long sojourn time.